OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP
StepAP214

# StepAP214_HArray1OfApprovalItem Class Reference

`#include <StepAP214_HArray1OfApprovalItem.hxx>`

## Public Member Functions
Standard_EXPORT | StepAP214_HArray1OfApprovalItem (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepAP214_HArray1OfApprovalItem (const Standard_Integer Low, const Standard_Integer Up, const StepAP214_ApprovalItem &V)
Standard_EXPORT void | Init (const StepAP214_ApprovalItem &V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const StepAP214_ApprovalItem &Value)
const StepAP214_ApprovalItem & | Value (const Standard_Integer Index) const
StepAP214_ApprovalItem & | ChangeValue (const Standard_Integer Index)
const StepAP214_Array1OfApprovalItem & | Array1 () const
StepAP214_Array1OfApprovalItem & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
StepAP214_Array1OfApprovalItem | myArray

## Constructor & Destructor Documentation

Standard_EXPORT StepAP214_HArray1OfApprovalItem::StepAP214_HArray1OfApprovalItem | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepAP214_HArray1OfApprovalItem::StepAP214_HArray1OfApprovalItem | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const StepAP214_ApprovalItem & | V
| ) |

## Member Function Documentation

const StepAP214_Array1OfApprovalItem& StepAP214_HArray1OfApprovalItem::Array1 | ( |  | ) | const

StepAP214_Array1OfApprovalItem& StepAP214_HArray1OfApprovalItem::ChangeArray1 | ( |  | ) |

StepAP214_ApprovalItem& StepAP214_HArray1OfApprovalItem::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const StepAP214_HArray1OfApprovalItem::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepAP214_HArray1OfApprovalItem::Init | ( | const StepAP214_ApprovalItem & | V | ) |

Standard_Integer StepAP214_HArray1OfApprovalItem::Length | ( |  | ) | const

Standard_Integer StepAP214_HArray1OfApprovalItem::Lower | ( |  | ) | const

void StepAP214_HArray1OfApprovalItem::SetValue | ( | const Standard_Integer | Index,
|  | const StepAP214_ApprovalItem & | Value
| ) |

Standard_Integer StepAP214_HArray1OfApprovalItem::Upper | ( |  | ) | const

const StepAP214_ApprovalItem& StepAP214_HArray1OfApprovalItem::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

StepAP214_Array1OfApprovalItem StepAP214_HArray1OfApprovalItem::myArray`[private]`

The documentation for this class was generated from the following file:

- StepAP214_HArray1OfApprovalItem.hxx